import type { NobjcObject } from "objc-js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { PHImageRequestOptionsDeliveryMode } from "./PHImageRequestOptionsDeliveryMode.js";
export declare class _PHLivePhotoRequestOptions extends _NSObject {
    static alloc(): _PHLivePhotoRequestOptions;
    static new(): _PHLivePhotoRequestOptions;
    init(): _PHLivePhotoRequestOptions;
    deliveryMode(): PHImageRequestOptionsDeliveryMode;
    setDeliveryMode$(value: PHImageRequestOptionsDeliveryMode): void;
    networkAccessAllowed(): boolean;
    setNetworkAccessAllowed$(value: boolean): void;
    progressHandler(): ((arg0: number, arg1: _NSError, arg2: NobjcObject, arg3: _NSDictionary) => void) | null;
    setProgressHandler$(value: ((arg0: number, arg1: _NSError, arg2: NobjcObject, arg3: _NSDictionary) => void) | null): void;
}
export interface _PHLivePhotoRequestOptions extends _NSCopying {
}
